"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeToken = exports.setToken = exports.getToken = void 0;
const TokenKey = 'access_token';
function getToken() {
    let token = localStorage.getItem(TokenKey);
    if (token == null) {
        // router.push("/login");
        return null;
    }
    let t = JSON.parse(token);
    return "Bearer " + (t.token || t.value);
}
exports.getToken = getToken;
function setToken(token) {
    return localStorage.setItem(TokenKey, JSON.stringify(token));
}
exports.setToken = setToken;
function removeToken() {
    return localStorage.removeItem(TokenKey);
}
exports.removeToken = removeToken;
