import { Request } from "../model/Request";
/**
 * 方法请求 工厂
 */
export declare class MethodRequestFactory<T> {
    /**
     * 获取请求对象
     * @param methodName?
     * @param data
     */
    private requestR;
    /**
     * 查找方法
     * @param stack
     */
    private findMethod;
    /**
     * 获取请求参数
     * @param data
     */
    request<T>(data?: T): Request<T>;
    /**
     * 获取自定义请求对象
     * @param methodName 方法名称
     * @param data 当前泛型对象
     */
    requestT(data?: T): Request<T>;
}
